       WRITE (6, 100)
 100   FORMAT (1X, ' THIS PROGRAM ILLUSTRATES THE FUNCTION OF THE ',
     6   ' COMPUTED GO TO ')
       I = 5
       GO TO (15,26,43,56,12) I
       WRITE (6, 13) I
   15  WRITE (6, 14) I
       GO TO 17
   26  WRITE (6, 14) I
       GO TO 17
   43  WRITE (6, 14) I
       GO TO 17
   56  WRITE (6, 14) I
       GO TO 17
   12  WRITE (6, 13) I
   17  WRITE (6, 16)
   16  FORMAT (1X, ' HI THERE')
   14  FORMAT (1X,  'I is not 5 , it is ',  3X, I6)
   13  FORMAT (1X,  I6, 3X, ' is the value of I')
       STOP
       END
